package com.reza.latifeha;

import android.annotation.*;
import android.content.*;
import android.view.*;
import android.widget.*;
import java.util.*;


public class MyCustomAdapter extends BaseAdapter implements ListAdapter
{ 
	private ArrayList<String> list = new ArrayList<String>(); 
	private Context context; 



	public MyCustomAdapter(ArrayList<String> list, Context context) { 
		this.list = list; 
		this.context = context; 
	} 

	@Override
	public int getCount() { 
		return list.size(); 
	} 

	@Override
	public Object getItem(int pos) { 
		return list.get(pos); 
	} 

	@Override
	public long getItemId(int pos) { 
		return list.size(); 
		//just return 0 if your list items do not have an Id variable.
		
	} 

	@Override
	public View getView(final int position, View convertView, ViewGroup parent) {
		View view = convertView;
		if (view == null) {
			LayoutInflater inflater = (LayoutInflater) context.getSystemService(Context.LAYOUT_INFLATER_SERVICE); 
			view = inflater.inflate(R.layout.clv, null);
		} 

		//Handle TextView and display string from your list
		final TextView textview1 = (TextView)view.findViewById(R.id.textview1); 
		textview1.setText(list.get(position)); 

		//Handle buttons and add onClickListeners
		final Button b_like = (Button)view.findViewById(R.id.b_like);
		final Button b_share = (Button)view.findViewById(R.id.b_share);
		final Button b_copy = (Button)view.findViewById(R.id.b_copy);

		
		
		b_like.setOnClickListener(new View.OnClickListener(){
				@Override
				public void onClick(View v) { 
									
				//	finish();
							
					b_like.setText("k");      
							
					//	list.remove(position);
					//	notifyDataSetChanged();
				}
	
			});
			
			
		b_share.setOnClickListener(new View.OnClickListener(){
				@Override
				public void onClick(View v) { 
					
				
					Intent shareIntent = new Intent(Intent.ACTION_SEND);
					shareIntent.setType("text/plain");
					shareIntent.putExtra(Intent.EXTRA_TEXT, textview1.getText().toString());
					shareIntent.putExtra(Intent.EXTRA_SUBJECT, "");
					startActivity(Intent.createChooser(shareIntent, "Share Text"));
					
							
				}
			});


			
		b_copy.setOnClickListener(new View.OnClickListener() {

				@Override
				public void onClick(View arg0) {
				
				Co1pyrith();
				}

				@SuppressLint("NewApi")
				public void Co1pyrith () {
					// TODO Auto-generated method stub
					String cop_txt = textview1.getText().toString();
					int startmsg = textview1.getSelectionStart();
					int endmsg = textview1.getSelectionEnd();
					String copymsg = cop_txt.substring(startmsg, endmsg);
					ClipboardManager clipb = (ClipboardManager) getSystemService(CLIPBOARD_SERVICE);
					clipb.setText(cop_txt);				
					
					
				
				}
				
			});

			
			
			
		return view; 
	} 
	
}

